---

- name: Create directories
  file: path={{ consul_tpl_root_dir }}/{{ item.dir }} state=directory mode={{ item.mode | default(omit) }}
  loop:
    - dir: /
    - dir: bin
    - dir: archives
      mode: 700
    - dir: /tmp
      mode: 700
    - dir: /etc
  tags: consul,vault
